import { Component, Input } from '@angular/core';
import { Leg } from '@app/shared/models-legacy';
import { DispatchType } from '@typings/enums';
import { IFlightTransition } from '@typings/flight/flight-transition';

@Component({
    selector: 'flight-details-row-deboarding',
    templateUrl: './flight-details-row-disembarkation.component.html',
    styleUrls: ['./flight-details-row-disembarkation.component.scss'],
})
export class FlightDetailsRowDisembarkationComponent {
    @Input() leg: Leg;

    get deboarding() {
        return this.leg?.transition?.deboarding as any as IFlightTransition;
    }

    get dispatch() {
        return this.leg.arrival.dispatch as any as DispatchType;
    }
}
